Issue 122061

Summary: First click into spin boxes should select complete content
Product: General Reporter: Edwin Sharp <elish>
Component: uiAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, rainerbielefeld_ooo_qa
Version: 3.4.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
ods with date and time field with spin bttons none

Description Edwin Sharp 2013-04-15 12:52:12 UTC
Current state: one click on a spin box has the cursor blinking. user has to select data within spin box to change it.

Proposed state: one click on a spin box has the entire data within spin box highlighted and ready to be changed.
Comment 1 Oliver-Rainer Wittmann 2013-04-18 14:56:09 UTC
This is request for enhancement is not related to the new sidebar feature.
These controls are standard ones used allover in OpenOffice.

--> generalizing summary
Comment 2 Rainer Bielefeld 2013-05-08 04:29:04 UTC
I do not see big importance, the currently required double click is not unreasonable.

@Edwin Sharp
I understand the request and at least sometimes wish exactly the same. But can we know that everybody will think so? may be other users are happy with the current behavior because they want to have the cursor flashing next to the digit they want to delete and replace? Can you add a hint concerning a styles guide, other software doing that the way you suggest or similar or similar?

If the request should be fulfilled additionally we would need a decision whether really all contents should be selected or only the numeric content. Currently a double click in most spin button fields selects all contents, but see "Bug 56998 - Display a space character before unit symbols". If there is a space between number and unit a double click will select number _or_ unit.
Comment 3 Edwin Sharp 2013-05-08 04:57:19 UTC
(In reply to comment #2)
> can we know that everybody will think so? may be other users are happy with
> the current behavior because they want to have the cursor flashing next to
> the digit they want to delete and replace? 

Please realize no matter how hard we try, we will never make everyone happy.

> Can you add a hint concerning a
> styles guide, other software doing that the way you suggest or similar or
> similar?

Please realize we don't need confirmation from some other software to make ours better.
Comment 4 Edwin Sharp 2013-07-20 18:19:58 UTC
lack of public interest -> closed
Comment 5 Rainer Bielefeld 2013-10-03 14:46:12 UTC
Appropriate enhancement request, so reopened.

Additional Info:
a) Competitors (All: WIN 7)
   It seems that most other software I checked behaves similar to AOO
a1) FreeOffice Plan Maker: I checked Menu 'Format -> Cell -> Border' what 
    has similar spin button fields for distance to border as AOO
    Behavior similar to AOO, click into cell leads to flashing caret in input
    pane, <ocntrol+a> selects all input pane contents (value + unit), 
    double click will select numeric value or unit, depending on click location.
a2) Calligra:
    I checked Menu 'Format -> Cell -> Position' what 
    has similar spin button fields  as AOO.
    Behavior similar to AOO, click into cell leads to flashing caret in input
    pane, 
    <control+a> selects all numeric value in input pane contents, 
    double click will select numeric value integer part or decimals (!) or 
    unit,  depending on click location.
a3) Lotus Symphony:
    Same as AOO
a4) Mozilla Print Dialog / Number of copies: Behavior as in AOO

Currently I do no know any example for behavior as requested. Although I see some advantages with requested behavior, it might be bad to do things different to anybody else.

@Edwin:
Do you have any examples for software doing that as you requested?
Comment 6 Rainer Bielefeld 2013-10-03 14:58:54 UTC
Never worked different back until OOo 1.1.5, may be more early
Comment 7 Edwin Sharp 2013-10-03 17:17:30 UTC
I'll try to locate where I encountered this but nevertheless we can be pioneers.
Comment 8 Edwin Sharp 2013-10-07 08:57:10 UTC
one of few examples for "click on field highlights content": FileLocator http://www.mythicsoft.com/default.aspx
Comment 9 Edwin Sharp 2014-04-16 10:06:31 UTC
Lack of public interest.
Comment 10 Rainer Bielefeld 2014-04-16 11:17:09 UTC
(In reply to Edwin Sharp from comment #9)
> Lack of public interest.

Please stop closing appropriate Enhancement Requests.
Comment 11 mroe 2014-04-16 12:13:21 UTC
Created attachment 83208 [details]
ods with date and time field with spin bttons

I understand the wish but have a look into the attached spreadsheet.
There are a date and a time field with spin buttons. Both works like other fields in the UI. And this should be also furthermore.

Place the cursor in day, month, year and accordingly in hour, minutes and use the spin buttons. What should be selected by the first click into the field without breaking the functionality and consistence?
Comment 12 Edwin Sharp 2014-04-16 13:44:10 UTC
Current behavior:
click  - affected by spin buttons
month  - month
day    - day
year   - year
hour   - hour
minute - minute

Proposed behavior:
click  - highlighted
month  - month
day    - day
year   - year
hour   - hour
minute - minute

Benefit: user can immediately type value with keyboard without using the spin buttons repeatedly.